Bug 1301640 - Document lv_layout and lv_role fields more
Document lv_layout and lv_role fields more
Status: NEW
Product: LVM and device-mapper
Classification: Community
Component: lvm2 (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Rajnoha
cluster-qe@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 10:20 EST by Peter Rajnoha
Modified: 2016-08-01 06:45 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: lvm‑technical‑solution?
rule-engine: lvm‑test‑coverage?


Attachments (Terms of Use)

  None (edit)
Description Peter Rajnoha 2016-01-25 10:20:13 EST
Let's document lv_layout and lv_role fields more - they are quite useful in identifying various LV types and layouts and it's also useful for selection.

Simply we need to document various values these two fields may report so users know what they can expect, expecially when using these two fields for selections (-S|--select).

Also add a note about a possibility to look for subsets of values from the lists (both lv_layout and lv_role are fields of string list type).
Comment 1 Jan Kurik 2016-02-24 10:54:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Note You need to log in before you can comment on or make changes to this bug.